<?php 
include '../lib/configuration.inc';


// Si le nom du joueur pro n'est pas connu, alors retour à l'inscription
if(!isset($_SESSION['SessionWeb_joueur_pro_nom'])){
	header('Location: ./inscription_1.php');
	exit;
}


// Traitement pour le nombre de joueurs AM
if(isset($_SESSION['SessionWeb_joueurs_am'])){
	$nb_joueurs_am_inscrits = count($_SESSION['SessionWeb_joueurs_am']);
}else{
	$nb_joueurs_am_inscrits = 0;
}
if(isset($_SESSION['SessionWeb_joueurs_am_temp'])){
	$nb_joueurs_am_declares = count($_SESSION['SessionWeb_joueurs_am_temp']);
}else{
	$nb_joueurs_am_declares = 0;
}


if(isset($autorisation) AND $autorisation=='inscription'){

	if(strlen(trim($joueur_am_1_nom))!=0 OR strlen(trim($joueur_am_1_email))!=0){
		if(strlen(trim($joueur_am_1_nom))!=0 AND strlen(trim($joueur_am_1_email))==0){
			$formulaire_erreur[] = 'joueur_am_1';
		}
		if(strlen(trim($joueur_am_1_nom))==0 AND strlen(trim($joueur_am_1_email))!=0){
			$formulaire_erreur[] = 'joueur_am_1';
		}
		if(in_array('joueur_am_1', $formulaire_erreur)==false){
			// Vérification si l'adresse e-mail du joueur AM 1 existe
			$requete_verification_1_joueur_am_1 = mysqli_query($connexion_mysql, 'SELECT joueur_id FROM joueurs WHERE joueur_email="'.$joueur_am_1_email.'"');
			$verification_1_joueur_am_1 = mysqli_num_rows($requete_verification_1_joueur_am_1);
			if($verification_1_joueur_am_1==0){
				$formulaire_erreur[] = 'joueur_am_1_inconnu';
			}else{
				// Vérification si le joueur AM 1 est déjà dans une équipe
				$requete_verification_2_joueur_am_1 = mysqli_query($connexion_mysql, 'SELECT joueur_id FROM joueurs WHERE joueur_email="'.$joueur_am_1_email.'"');
				$verification_2_joueur_am_1 = mysqli_num_rows($requete_verification_2_joueur_am_1);
				if($verification_2_joueur_am_1==0){
					$formulaire_erreur[] = 'joueur_am_1_impossible';
				}else{
					$resultat_verification_am_1 = mysqli_fetch_array($requete_verification_2_joueur_am_1);
					$joueur_am_1_id = $resultat_verification_am_1[0];
				}
			}
		}
		$nb_joueurs_am_declares++;
	}
	if(strlen(trim($joueur_am_2_nom))!=0 OR strlen(trim($joueur_am_2_email))!=0){
		if(strlen(trim($joueur_am_2_nom))!=0 AND strlen(trim($joueur_am_2_email))==0){
			$formulaire_erreur[] = 'joueur_am_2';
		}
		if(strlen(trim($joueur_am_2_nom))==0 AND strlen(trim($joueur_am_2_email))!=0){
			$formulaire_erreur[] = 'joueur_am_2';
		}
		if(in_array('joueur_am_2', $formulaire_erreur)==false){
			// Vérification si l'adresse e-mail du joueur AM 2 existe
			$requete_verification_1_joueur_am_2 = mysqli_query($connexion_mysql, 'SELECT joueur_id FROM joueurs WHERE joueur_email="'.$joueur_am_2_email.'"');
			$verification_1_joueur_am_2 = mysqli_num_rows($requete_verification_1_joueur_am_2);
			if($verification_1_joueur_am_2==0){
				$formulaire_erreur[] = 'joueur_am_2_inconnu';
			}else{
				// Vérification si le joueur AM 2 est déjà dans une équipe
				$requete_verification_2_joueur_am_2 = mysqli_query($connexion_mysql, 'SELECT joueur_id FROM joueurs WHERE joueur_email="'.$joueur_am_2_email.'"');
				$verification_2_joueur_am_2 = mysqli_num_rows($requete_verification_2_joueur_am_2);
				if($verification_2_joueur_am_2==0){
					$formulaire_erreur[] = 'joueur_am_2_impossible';
				}else{
					$resultat_verification_am_2 = mysqli_fetch_array($requete_verification_2_joueur_am_2);
					$joueur_am_2_id = $resultat_verification_am_2[0];
				}
			}
		}
		$nb_joueurs_am_declares++;
	}
	if(strlen(trim($joueur_am_3_nom))!=0 OR strlen(trim($joueur_am_3_email))!=0){
		if(strlen(trim($joueur_am_3_nom))!=0 AND strlen(trim($joueur_am_3_email))==0){
			$formulaire_erreur[] = 'joueur_am_3';
		}
		if(strlen(trim($joueur_am_3_nom))==0 AND strlen(trim($joueur_am_3_email))!=0){
			$formulaire_erreur[] = 'joueur_am_3';
		}
		if(in_array('joueur_am_3', $formulaire_erreur)==false){
			// Vérification si l'adresse e-mail du joueur AM 3 existe
			$requete_verification_1_joueur_am_3 = mysqli_query($connexion_mysql, 'SELECT joueur_id FROM joueurs WHERE joueur_email="'.$joueur_am_3_email.'"');
			$verification_1_joueur_am_3 = mysqli_num_rows($requete_verification_1_joueur_am_3);
			if($verification_1_joueur_am_3==0){
				$formulaire_erreur[] = 'joueur_am_3_inconnu';
			}else{
				// Vérification si le joueur AM 3 est déjà dans une équipe
				$requete_verification_2_joueur_am_3 = mysqli_query($connexion_mysql, 'SELECT joueur_id FROM joueurs WHERE joueur_email="'.$joueur_am_3_email.'"');
				$verification_2_joueur_am_3 = mysqli_num_rows($requete_verification_2_joueur_am_3);
				if($verification_2_joueur_am_3==0){
					$formulaire_erreur[] = 'joueur_am_3_impossible';
				}else{
					$resultat_verification_am_3 = mysqli_fetch_array($requete_verification_2_joueur_am_3);
					$joueur_am_3_id = $resultat_verification_am_3[0];
				}
			}
		}
		$nb_joueurs_am_declares++;
	}

	if(count($formulaire_erreur)==0){

		// Traitement des informations pour enregistrement en base de données
		$joueur_am_1_nom = htmlentities(strtoupper_max(stripslashes($joueur_am_1_nom)), ENT_QUOTES);
		$joueur_am_1_email = strtolower($joueur_am_1_email);
		$joueur_am_2_nom = htmlentities(strtoupper_max(stripslashes($joueur_am_2_nom)), ENT_QUOTES);
		$joueur_am_2_email = strtolower($joueur_am_2_email);
		$joueur_am_3_nom = htmlentities(strtoupper_max(stripslashes($joueur_am_3_nom)), ENT_QUOTES);
		$joueur_am_3_email = strtolower($joueur_am_3_email);

		// Enregistrement en session du joueur
		if(strlen(trim($joueur_am_1_email))!=0){
			$_SESSION['SessionWeb_joueurs_am_temp'][0]['id'] = $joueur_am_1_id;
			$_SESSION['SessionWeb_joueurs_am_temp'][0]['nom'] = $joueur_am_1_nom;
			$_SESSION['SessionWeb_joueurs_am_temp'][0]['email'] = $joueur_am_1_email;
		}
		if(strlen(trim($joueur_am_2_email))!=0){
			$_SESSION['SessionWeb_joueurs_am_temp'][1]['id'] = $joueur_am_2_id;
			$_SESSION['SessionWeb_joueurs_am_temp'][1]['nom'] = $joueur_am_2_nom;
			$_SESSION['SessionWeb_joueurs_am_temp'][1]['email'] = $joueur_am_2_email;
		}
		if(strlen(trim($joueur_am_3_email))!=0){
			$_SESSION['SessionWeb_joueurs_am_temp'][2]['id'] = $joueur_am_3_id;
			$_SESSION['SessionWeb_joueurs_am_temp'][2]['nom'] = $joueur_am_3_nom;
			$_SESSION['SessionWeb_joueurs_am_temp'][2]['email'] = $joueur_am_3_email;
		}

		header('Location: ./inscription_6_pro.php');		// Redirection vers la 5e page d'inscription (choix du package)
		exit;

	}else{
		// Traitement d'affichage en cas d'erreur dans le formulaire
		$joueur_am_1_nom = stripslashes($joueur_am_1_nom);
		$joueur_am_1_email = stripslashes($joueur_am_1_email);
		$joueur_am_2_nom = stripslashes($joueur_am_2_nom);
		$joueur_am_2_email = stripslashes($joueur_am_2_email);
		$joueur_am_3_nom = stripslashes($joueur_am_3_nom);
		$joueur_am_3_email = stripslashes($joueur_am_3_email);
	}

}


if(!isset($autorisation) OR (isset($autorisation) AND $autorisation!='inscription')){

	// Valeurs par défaut lorsque le formulaire est vierge
	$joueur_am_1_nom = '';
	$joueur_am_1_email = '';
	$joueur_am_2_nom = '';
	$joueur_am_2_email = '';
	$joueur_am_3_nom = '';
	$joueur_am_3_email = '';

}


$nb_joueurs_am_autorises = 3 - ($nb_joueurs_am_declares + $nb_joueurs_am_inscrits);			// Calcul du nombre de joueurs AM (déclarés ou inscrits) qu'il est possible d'ajouter
$nb_joueurs_am_declares_autorises = $nb_joueurs_am_autorises + $nb_joueurs_am_declares;		// Calcul du nombre de joueurs AM déclarés qu'il est possible d'ajouter
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="<?=$_SESSION['SessionWeb_langue']?>" xml:lang="<?=strtolower($_SESSION['SessionWeb_langue'])?>">
<head>
	<title><?=$txt_page_titre?></title>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<meta http-equiv="X-UA-Compatible" content="IE=8">
	<meta name="language" content="<?=strtolower($_SESSION['SessionWeb_langue'])?>">
	<meta name="robots" content="index, follow">
	<link rel="shortcut icon" type="image/x-icon" href="/favicon.ico">
	<link rel="shortcut icon" href="/favicon.png">
	<link rel="stylesheet" type="text/css" href="<?=$web_commun?>commun.css">
</head>

<body scroll="auto">

<div id="page" align="center">

	<div id="contenu">

		<?php include './commun/entete.inc'; ?>

		<div id="formulaire">

			<form action="<?=$REQUEST_URI?>" method="post">

				<input type="hidden" name="autorisation" value="inscription">

				<h1><?=$txt_pro_etape3_titre?></h1>

				<div class="separateur"></div>

				<b><?=$txt_pro_etape3_joueur_pro?></b>&nbsp; <?=$_SESSION['SessionWeb_joueur_pro_prenom'].' '.$_SESSION['SessionWeb_joueur_pro_nom']?>&nbsp;&nbsp;&nbsp; <span style="color: #189DB3; font-size: 11px;">[&nbsp; <a href="./inscription_2_pro.php"><?=$txt_modifier?></a> &nbsp;]</span><br><br><br>

				<?php 
				if($nb_joueurs_am_autorises==0){
					echo '<i>'.$txt_pro_etape3_message_equipe_complete.'</i><br><br>'."\n";
				}else{
					echo '<i>'.$txt_pro_etape3_message_equipe_incomplete.'</i><br><br>'."\n";
				}
				?>

				<?php if($nb_joueurs_am_declares_autorises!=0 OR isset($_SESSION['SessionWeb_joueurs_am_temp'][0])){ ?>

					<div class="separateur"></div>

					<?=$txt_pro_etape3_ajouter_joueurs_amateurs?><br><br><br>

					<?php if($nb_joueurs_am_declares_autorises>=1 OR (isset($_SESSION['SessionWeb_joueurs_am_temp'][0]) AND strlen($_SESSION['SessionWeb_joueurs_am_temp'][0]['nom'])!=0)){ ?>

						<div class="colonne_gauche" style="width: 50px; font-weight: bold;">N° 1</div>
						<div class="colonne_gauche" style="width: 115px;"><?=$txt_pro_etape3_nom?></div>
						<div class="colonne_droite" style="width: 200px;"><input type="text" name="joueur_am_1_nom" value="<?=$joueur_am_1_nom?>" style="width: 135px;"></div>
						<div class="colonne_gauche" style="width: 70px;"><?=$txt_pro_etape3_email?></div>
						<div class="colonne_droite" style="width: 190px;"><input type="text" name="joueur_am_1_email" value="<?=$joueur_am_1_email?>" style="width: 155px;"></div>
						<?php if(count($formulaire_erreur)!=0 AND in_array('joueur_am_1', $formulaire_erreur)==true){ echo '<div class="erreur">'.$txt_incorrect.'</div>'; }elseif(count($formulaire_erreur)!=0 AND in_array('joueur_am_1_inconnu', $formulaire_erreur)==true){ echo '<div class="erreur">'.$txt_inconnu.'</div>'; } ?>
						<br clear="all">

					<?php } ?>

					<?php if($nb_joueurs_am_declares_autorises>=2 OR (isset($_SESSION['SessionWeb_joueurs_am_temp'][1]) AND strlen($_SESSION['SessionWeb_joueurs_am_temp'][1]['nom'])!=0)){ ?>

						<div class="colonne_gauche" style="width: 50px; font-weight: bold;">N° 2</div>
						<div class="colonne_gauche" style="width: 115px;"><?=$txt_pro_etape3_nom?></div>
						<div class="colonne_droite" style="width: 200px;"><input type="text" name="joueur_am_2_nom" value="<?=$joueur_am_2_nom?>" style="width: 135px;"></div>
						<div class="colonne_gauche" style="width: 70px;"><?=$txt_pro_etape3_email?></div>
						<div class="colonne_droite" style="width: 190px;"><input type="text" name="joueur_am_2_email" value="<?=$joueur_am_2_email?>" style="width: 155px;"></div>
						<?php if(count($formulaire_erreur)!=0 AND in_array('joueur_am_2', $formulaire_erreur)==true){ echo '<div class="erreur">'.$txt_incorrect.'</div>'; }elseif(count($formulaire_erreur)!=0 AND in_array('joueur_am_2_inconnu', $formulaire_erreur)==true){ echo '<div class="erreur">'.$txt_inconnu.'</div>'; } ?>
						<br clear="all">

					<?php } ?>

					<?php if($nb_joueurs_am_declares_autorises>=3 OR (isset($_SESSION['SessionWeb_joueurs_am_temp'][2]) AND strlen($_SESSION['SessionWeb_joueurs_am_temp'][2]['nom'])!=0)){ ?>

						<div class="colonne_gauche" style="width: 50px; font-weight: bold;">N° 3</div>
						<div class="colonne_gauche" style="width: 115px;"><?=$txt_pro_etape3_nom?></div>
						<div class="colonne_droite" style="width: 200px;"><input type="text" name="joueur_am_3_nom" value="<?=$joueur_am_3_nom?>" style="width: 135px;"></div>
						<div class="colonne_gauche" style="width: 70px;"><?=$txt_pro_etape3_email?></div>
						<div class="colonne_droite" style="width: 190px;"><input type="text" name="joueur_am_3_email" value="<?=$joueur_am_3_email?>" style="width: 155px;"></div>
						<?php if(count($formulaire_erreur)!=0 AND in_array('joueur_am_3', $formulaire_erreur)==true){ echo '<div class="erreur">'.$txt_incorrect.'</div>'; }elseif(count($formulaire_erreur)!=0 AND in_array('joueur_am_3_inconnu', $formulaire_erreur)==true){ echo '<div class="erreur">'.$txt_inconnu.'</div>'; } ?>
						<br clear="all">

					<?php } ?>

				<?php } ?>


				<?php 
				if(isset($_SESSION['SessionWeb_joueurs_am']) AND count($_SESSION['SessionWeb_joueurs_am'])!=0){

					echo '<div class="separateur"></div>'."\n";

					echo $txt_pro_etape3_liste_joueurs_amateurs_inscrits.'<br><br>'."\n";

					echo '<ul style="margin-top: 0px;">'."\n";

						$jam = 0;
						foreach($_SESSION['SessionWeb_joueurs_am'] as $joueur_am_cle=>$joueur_am){
							echo '<li style="padding-bottom: 10px;">'.$joueur_am['nom'].' '.$joueur_am['prenom'].'&nbsp;&nbsp;&nbsp; <span style="color: #189DB3; font-size: 11px;">[&nbsp; <a href="./inscription_4_pro.php?jam='.$joueur_am_cle.'">'.$txt_modifier.'</a> &nbsp;|&nbsp; <a href="./inscription_suppression_joueur.php?joueur_profil=am&joueur_cle='.$joueur_am_cle.'">'.$txt_supprimer.'</a> &nbsp;]</span></li>';
							$jam++;
						}

					echo '</ul>'."\n";

					if($nb_joueurs_am_autorises!=0){
						echo '<br>'."\n";
						echo $txt_pro_etape3_inscrire_nouveau_joueur_amateur.'<a href="./inscription_4_pro.php?jam='.$jam.'">'.$txt_pro_etape3_completez_fiche_inscription.'</a>.<br><br>';
					}


				}elseif($nb_joueurs_am_autorises!=0){

					echo '<div class="separateur"></div>'."\n";

					echo $txt_pro_etape3_inscrire_nouveau_joueur_amateur.'<a href="./inscription_4_pro.php?jam=0">'.$txt_pro_etape3_completez_fiche_inscription.'</a>.<br><br>';

				}
	

				echo '<div class="separateur"></div>'."\n";


				$jacc = 0;

				if(isset($_SESSION['SessionWeb_joueurs_acc']) AND count($_SESSION['SessionWeb_joueurs_acc'])!=0){

					echo $txt_pro_etape3_liste_accompagnateurs_inscrits.'<br><br>'."\n";

					echo '<ul style="margin-top: 0px;">'."\n";

						foreach($_SESSION['SessionWeb_joueurs_acc'] as $joueur_acc_cle=>$joueur_acc){
							echo '<li style="padding-bottom: 10px;">'.$joueur_acc['nom'].' '.$joueur_acc['prenom'].'&nbsp;&nbsp;&nbsp; <span style="color: #189DB3; font-size: 11px;">[&nbsp; <a href="./inscription_5.php?jacc='.$joueur_acc_cle.'">'.$txt_modifier.'</a> &nbsp;|&nbsp; <a href="./inscription_suppression_joueur.php?joueur_profil=acc&joueur_cle='.$joueur_acc_cle.'">'.$txt_supprimer.'</a> &nbsp;]</span></li>';
							$jacc++;
						}

					echo '</ul>'."\n";

					echo '<br>'."\n";

				}
				?>

				<?=$txt_pro_etape3_inscrire_nouvel_accompagnateur?><a href="./inscription_5.php?jacc=<?=$jacc?>"><?=$txt_pro_etape3_completez_fiche_inscription?></a>.<br><br>

				<div class="separateur"></div>

				<div style="float: left; width: 200px;"><input type="button" value="<?=$txt_bouton_annuler_inscription?>" onclick="window.location='./inscription_annulation.php';" class="bouton_annuler"></div>
				<div align="right" style="margin-right: 130px;"><input type="submit" value="<?=$txt_bouton_etape_suivante?>"></div>

			</form>

		</div>

	</div>

</div>

</body>
</html>
